.company-section {
  padding: 0 1.5rem;
}
.company-section__item {
  display: flex;
  position: relative;
  border-top: 1px solid var(--color-border);
}
.company-section__item:last-of-type {
  border-bottom: 1px solid var(--color-border);
}
.company-section__item:last-of-type:after {
  content: "";
  display: block;
  width: 2.5rem;
  height: 1px;
  background-color: var(--color-red);
  position: absolute;
  bottom: -1px;
  left: 0;
}
.company-section__item:before {
  content: "";
  display: block;
  width: 2.5rem;
  height: 1px;
  background-color: var(--color-red);
  position: absolute;
  top: -1px;
  left: 0;
}
@media screen and (min-width: 768px) {
  .company-section__inner {
    max-width: 60rem;
    margin: 0 auto;
  }
}
@media screen and (max-width: 767px) {
  .company-section {
    margin-top: 5rem;
  }
  .company-section__item {
    flex-direction: column;
    padding: 1.5rem 0;
  }
  .company-section__item:before, .company-section__item:last-of-type:after {
    width: 1.875rem;
  }
}

.data__column {
  color: var(--color-text);
  font-weight: 500;
}
.data__column--label {
  display: flex;
  align-items: center;
}
.data__column--label:before {
  content: "";
  display: block;
  width: 0.375rem;
  height: 1px;
  background-color: var(--color-red);
  border-radius: 1px;
}
@media screen and (min-width: 768px) {
  .data {
    margin-top: 7.5rem;
  }
  .data__item {
    align-items: center;
    padding: 2rem 0;
  }
  .data__column {
    font-size: 1rem;
    line-height: 2.2;
  }
  .data__column--label {
    width: 17.5rem;
    gap: 0.5rem;
  }
  .data__column--value {
    flex: 1;
  }
}
@media screen and (max-width: 767px) {
  .data__item {
    gap: 0.25rem;
    padding: 1.5rem 0;
  }
  .data__column {
    font-size: 0.9375rem;
    line-height: 2;
  }
  .data__column--label {
    gap: 0.375rem;
  }
  .data__column--value {
    padding-left: 0.75rem;
  }
}

.office__title {
  display: flex;
  align-items: center;
  color: var(--color-dark);
  font-weight: 700;
  line-height: 1.6;
}
.office__title__en {
  font-family: "Poppins", sans-serif;
  color: var(--color-red);
  font-weight: 700;
  line-height: 1.6;
  letter-spacing: 0.05em;
}
.office__column--image img {
  display: block;
  width: 100%;
  height: auto;
  border-radius: 0.375rem;
}
.office__column__title {
  color: var(--color-dark);
  font-weight: 700;
  line-height: 1.8;
}
.office__column__data {
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
  color: var(--color-text);
  font-weight: 500;
}
.office__column__data__label {
  display: flex;
  align-items: center;
}
.office__column__data__label:before {
  content: "";
  display: block;
  width: 0.375rem;
  height: 1px;
  background-color: var(--color-red);
  border-radius: 1px;
}
.office__column__note {
  margin-top: 1.5rem;
  color: var(--color-text);
  font-weight: 500;
}
.office__link {
  display: block;
  border: 1px solid var(--color-red);
  border-radius: 2rem;
  color: var(--color-red);
  line-height: 1.5rem;
  text-align: center;
  text-decoration: none;
  position: relative;
}
@media screen and (min-width: 768px) {
  .office {
    margin-top: 10rem;
  }
  .office__title {
    gap: 1rem;
    margin-bottom: 2.5rem;
    font-size: 2.5rem;
  }
  .office__title__en {
    margin-top: 0.25rem;
    font-size: 0.875rem;
  }
  .office__item {
    padding: 2.5rem 0;
  }
  .office__column {
    width: 50%;
  }
  .office__column--image {
    padding-right: 2.5rem;
  }
  .office__column__title {
    font-size: 1.5rem;
  }
  .office__column__data {
    gap: 1.5rem 0;
    margin-top: 2rem;
    font-size: 1rem;
    line-height: 2.2;
  }
  .office__column__data__label {
    gap: 0.5rem;
    width: 6.875rem;
  }
  .office__column__data__value {
    width: calc(100% - 6.875rem);
  }
  .office__column__note {
    font-size: 0.9375rem;
    line-height: 2.2;
  }
  .office__link {
    max-width: 20rem;
    margin-top: 2.5rem;
    padding: 0.875rem;
    font-size: 1rem;
    font-weight: 600;
  }
  .office__link__icon {
    width: 2.25rem;
    height: 2.25rem;
    background: var(--color-red);
    border-radius: 0 50% 50% 0;
    position: absolute;
    top: 50%;
    right: 0.5rem;
    transform: translateY(-50%);
    overflow: hidden;
  }
  .office__link__icon:before, .office__link__icon:after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    margin: auto;
    background: url(../images/common/blank_white.svg) center/auto no-repeat;
    position: absolute;
    top: 0;
    left: 0;
  }
  .office__link__icon:before {
    transform: translateX(-100%);
  }
  .office__link:hover .office__link__icon:before, .office__link:hover .office__link__icon:after {
    transition: transform 0.2s;
  }
  .office__link:hover .office__link__icon:before {
    transition-delay: 0.2s;
    transform: translateX(0);
  }
  .office__link:hover .office__link__icon:after {
    transform: translateX(100%);
  }
}
@media screen and (max-width: 767px) {
  .office__title {
    gap: 0.625rem;
    margin-bottom: 1.5rem;
    font-size: 1.375rem;
  }
  .office__title__en {
    margin-top: 0.125rem;
    font-size: 0.75rem;
  }
  .office__item {
    gap: 1.5rem;
    padding: 2rem 0;
  }
  .office__column__title {
    font-size: 1.125rem;
  }
  .office__column__data {
    flex-direction: column;
    font-size: 0.9375rem;
    line-height: 2;
  }
  .office__column__data__label {
    margin-top: 1rem;
    gap: 0.375rem;
  }
  .office__column__data__value {
    margin-top: 0.25rem;
    padding-left: 0.75rem;
  }
  .office__column__note {
    font-size: 0.875rem;
    line-height: 2;
  }
  .office__link {
    max-width: 460px;
    margin: 1.5rem auto 0;
    padding: 0.75rem;
    font-size: 0.9375rem;
    font-weight: 700;
  }
  .office__link__icon {
    width: 0.875rem;
    height: 0.75rem;
    background: url(../images/common/blank_red.svg) center/contain no-repeat;
    position: absolute;
    top: 50%;
    right: 0.875rem;
    transform: translateY(-50%);
  }
}
